> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Megafilter for Pools

> To query pools based on various filters across all networks on GeckoTerminal

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

export const PlanExclusivity = ({tier}) => {
  if (tier === "enterprise") {
    return <Callout icon="crown" color="#FFC107" iconType="regular">
        <strong>Enterprise Only</strong><br />This endpoint is exclusively available to <strong>Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/enterprise">→ Contact sales</a>
      </Callout>;
  }
  if (tier === "analyst_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Analyst Plan and Above</strong><br />This endpoint is only available to <strong>Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  if (tier === "basic_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Basic Plan and Above</strong><br />This endpoint is only available to <strong>Basic, Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  throw new Error(`PlanExclusivity: invalid tier "${tier}". Use "basic_above", "analyst_above", or "enterprise".`);
};

#### Notes

* Use `checks` to filter pools:
  * `no_honeypot` — exclude honeypot pools (GoPlus & De.Fi Scanner)
  * `good_gt_score` — GT Score of at least 75
  * `on_coingecko` — tokens listed on CoinGecko
  * `has_social` — social links and token info updated
* `dexes` param can only be used when a single `networks` is specified.
* Returns up to 20 pools per page.
* Unverified token market cap returns `null` — the displayed value on GeckoTerminal may match FDV and might not be accurate.
* Use `include` to return related attributes under the top-level `included` key.
* `include_unknown_honeypot_tokens=true` includes tokens with unknown honeypot status (only works with `checks=no_honeypot`).

<Note>
  Honeypot data is not supported for Solana.
</Note>

<PlanExclusivity tier="analyst_above" />

<CacheInfo rate="30 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.onchain.pools.megafilter.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.onchain.pools.megafilter.get()

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/pro-api.json get /onchain/pools/megafilter
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /onchain/pools/megafilter:
    get:
      summary: Megafilter for Pools
      description: >-
        To query pools based on various filters across all networks on
        GeckoTerminal
      operationId: pools-megafilter
      parameters:
        - name: networks
          in: query
          required: false
          description: |-
            Filter pools by networks, comma-separated if more than one. 
            *refers to [`/onchain/networks`](/reference/networks-list).
          schema:
            type: string
        - name: dexes
          in: query
          required: false
          description: >-
            Filter pools by DEXes, comma-separated if more than one. 

            *refers to
            [`/onchain/networks/{network}/dexes`](/reference/dexes-list).
          schema:
            type: string
        - name: include
          in: query
          required: false
          description: |-
            Attributes to include, comma-separated if more than one. 
            Available values: `base_token`, `quote_token`, `dex`, `network`
          schema:
            type: string
        - name: page
          in: query
          required: false
          description: |-
            Page through results. 
            Default value: 1
          schema:
            type: integer
        - name: sort
          in: query
          required: false
          description: |-
            Sort the pools by field. 
            Default: `h6_trending`
          schema:
            type: string
            enum:
              - m5_trending
              - h1_trending
              - h6_trending
              - h24_trending
              - h24_tx_count_desc
              - h24_tx_count_asc
              - h24_volume_usd_desc
              - h24_volume_usd_asc
              - m5_price_change_percentage_asc
              - h1_price_change_percentage_asc
              - h6_price_change_percentage_asc
              - h24_price_change_percentage_asc
              - m5_price_change_percentage_desc
              - h1_price_change_percentage_desc
              - h6_price_change_percentage_desc
              - h24_price_change_percentage_desc
              - fdv_usd_asc
              - fdv_usd_desc
              - reserve_in_usd_asc
              - reserve_in_usd_desc
              - price_asc
              - price_desc
              - pool_created_at_desc
        - name: fdv_usd_min
          in: query
          required: false
          description: Minimum fully diluted value in USD.
          schema:
            type: number
        - name: fdv_usd_max
          in: query
          required: false
          description: Maximum fully diluted value in USD.
          schema:
            type: number
        - name: reserve_in_usd_min
          in: query
          required: false
          description: Minimum reserve in USD.
          schema:
            type: number
        - name: reserve_in_usd_max
          in: query
          required: false
          description: Maximum reserve in USD.
          schema:
            type: number
        - name: h24_volume_usd_min
          in: query
          required: false
          description: Minimum 24hr volume in USD.
          schema:
            type: number
        - name: h24_volume_usd_max
          in: query
          required: false
          description: Maximum 24hr volume in USD.
          schema:
            type: number
        - name: pool_created_hour_min
          in: query
          required: false
          description: Minimum pool age in hours.
          schema:
            type: number
        - name: pool_created_hour_max
          in: query
          required: false
          description: Maximum pool age in hours.
          schema:
            type: number
        - name: tx_count_min
          in: query
          required: false
          description: Minimum transaction count.
          schema:
            type: integer
        - name: tx_count_max
          in: query
          required: false
          description: Maximum transaction count.
          schema:
            type: integer
        - name: tx_count_duration
          in: query
          required: false
          description: |-
            Duration for transaction count metric. 
            Default: `24h`
          schema:
            type: string
            enum:
              - 5m
              - 1h
              - 6h
              - 24h
        - name: buys_min
          in: query
          required: false
          description: Minimum number of buy transactions.
          schema:
            type: integer
        - name: buys_max
          in: query
          required: false
          description: Maximum number of buy transactions.
          schema:
            type: integer
        - name: buys_duration
          in: query
          required: false
          description: |-
            Duration for buy transactions metric. 
            Default: `24h`
          schema:
            type: string
            enum:
              - 5m
              - 1h
              - 6h
              - 24h
        - name: sells_min
          in: query
          required: false
          description: Minimum number of sell transactions.
          schema:
            type: integer
        - name: sells_max
          in: query
          required: false
          description: Maximum number of sell transactions.
          schema:
            type: integer
        - name: sells_duration
          in: query
          required: false
          description: |-
            Duration for sell transactions metric. 
            Default: `24h`
          schema:
            type: string
            enum:
              - 5m
              - 1h
              - 6h
              - 24h
        - name: price_change_percentage_min
          in: query
          required: false
          description: Minimum price change percentage.
          schema:
            type: number
        - name: price_change_percentage_max
          in: query
          required: false
          description: Maximum price change percentage.
          schema:
            type: number
        - name: price_change_percentage_duration
          in: query
          required: false
          description: |-
            Duration for price change percentage metric. 
            Default: `24h`
          schema:
            type: string
            enum:
              - 5m
              - 1h
              - 6h
              - 24h
        - name: buy_tax_percentage_min
          in: query
          required: false
          description: Minimum buy tax percentage.
          schema:
            type: number
        - name: buy_tax_percentage_max
          in: query
          required: false
          description: Maximum buy tax percentage.
          schema:
            type: number
        - name: sell_tax_percentage_min
          in: query
          required: false
          description: Minimum sell tax percentage.
          schema:
            type: number
        - name: sell_tax_percentage_max
          in: query
          required: false
          description: Maximum sell tax percentage.
          schema:
            type: number
        - name: holder_count_min
          in: query
          required: false
          description: Minimum holder count.
          schema:
            type: integer
        - name: holder_count_max
          in: query
          required: false
          description: Maximum holder count.
          schema:
            type: integer
        - name: top_10_holders_percentage_min
          in: query
          required: false
          description: Minimum top 10 holders percentage.
          schema:
            type: number
        - name: top_10_holders_percentage_max
          in: query
          required: false
          description: Maximum top 10 holders percentage.
          schema:
            type: number
        - name: checks
          in: query
          required: false
          description: >-
            Filter options for various checks, comma-separated if more than
            one. 

            Available values: `no_honeypot`, `good_gt_score`, `on_coingecko`,
            `has_social`
          schema:
            type: string
        - name: include_unknown_honeypot_tokens
          in: query
          required: false
          description: >-
            When `checks` includes `no_honeypot`, set to `true` to also include
            unknown honeypot tokens. 

            Default: `false`
          schema:
            type: boolean
      responses:
        '200':
          description: Filtered pools across all networks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Pool'
              example:
                data:
                  - id: base_0x3e97c5ec8c73e7d566aca606472141a9b9a8c1fa
                    type: pool
                    attributes:
                      base_token_price_usd: '0.05193801053'
                      base_token_price_native_currency: '0.000025326242378315592946540670776322410025776'
                      quote_token_price_usd: '0.776158829933404'
                      quote_token_price_native_currency: '0.000376082386826923'
                      base_token_price_quote_token: '0.06734227197'
                      quote_token_price_base_token: '14.8495138445'
                      address: '0x3e97c5ec8c73e7d566aca606472141a9b9a8c1fa'
                      name: DEUS / VIRTUAL
                      pool_created_at: '2026-05-27T13:04:51Z'
                      fdv_usd: '45464410.8007355'
                      market_cap_usd: '0.0'
                      price_change_percentage:
                        m5: '-3.42'
                        m15: '-9.171'
                        m30: '4.444'
                        h1: '5.06'
                        h6: '28.62'
                        h24: '28.62'
                      transactions:
                        m5:
                          buys: 20
                          sells: 10
                          buyers: 16
                          sellers: 9
                        m15:
                          buys: 71
                          sells: 30
                          buyers: 51
                          sellers: 27
                        m30:
                          buys: 139
                          sells: 63
                          buyers: 88
                          sellers: 50
                        h1:
                          buys: 288
                          sells: 163
                          buyers: 167
                          sellers: 120
                        h6:
                          buys: 2719
                          sells: 1502
                          buyers: 974
                          sellers: 709
                        h24:
                          buys: 2719
                          sells: 1502
                          buyers: 974
                          sellers: 709
                      volume_usd:
                        m5: '14594.3019415648'
                        m15: '67379.9374046351'
                        m30: '133544.558315085'
                        h1: '375498.056536124'
                        h6: '4631158.03685961'
                        h24: '4631158.03685961'
                      reserve_in_usd: '1257212.6821'
                    relationships:
                      base_token:
                        data:
                          id: base_0x940a319b75861014a220d9c6c144d108552b089b
                          type: token
                      quote_token:
                        data:
                          id: base_0x0b3e328455c4059eeb9e3f84b5543f74e24e7e1b
                          type: token
                      network:
                        data:
                          id: base
                          type: network
                      dex:
                        data:
                          id: aerodrome-base
                          type: dex
                included:
                  - id: base_0x940a319b75861014a220d9c6c144d108552b089b
                    type: token
                    attributes:
                      address: '0x940a319b75861014a220d9c6c144d108552b089b'
                      name: DEUS Token
                      symbol: DEUS
                      decimals: 18
                      image_url: >-
                        https://coin-images.coingecko.com/coins/images/68133/large/Screenshot_2025-08-07_at_8.52.11%E2%80%AFPM.png?1754901254
                      coingecko_coin_id: xmaquina
                  - id: base_0x0b3e328455c4059eeb9e3f84b5543f74e24e7e1b
                    type: token
                    attributes:
                      address: '0x0b3e328455c4059eeb9e3f84b5543f74e24e7e1b'
                      name: Virtual Protocol
                      symbol: VIRTUAL
                      decimals: 18
                      image_url: >-
                        https://coin-images.coingecko.com/coins/images/34057/large/LOGOMARK.png?1708356054
                      coingecko_coin_id: virtual-protocol
                  - id: aerodrome-base
                    type: dex
                    attributes:
                      name: Aerodrome (Base)
                  - id: base
                    type: network
                    attributes:
                      name: Base
                      coingecko_asset_platform_id: base
components:
  schemas:
    Pool:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - id
              - type
              - attributes
              - relationships
            properties:
              id:
                type: string
                description: Pool identifier
              type:
                type: string
                description: Resource type
              attributes:
                type: object
                required:
                  - base_token_price_usd
                  - base_token_price_native_currency
                  - quote_token_price_usd
                  - quote_token_price_native_currency
                  - base_token_price_quote_token
                  - quote_token_price_base_token
                  - address
                  - name
                  - pool_created_at
                  - fdv_usd
                  - market_cap_usd
                  - price_change_percentage
                  - transactions
                  - volume_usd
                  - reserve_in_usd
                properties:
                  base_token_price_usd:
                    type: string
                    description: Base token price in USD
                  base_token_price_native_currency:
                    type: string
                    nullable: true
                    description: Base token price in native currency
                  quote_token_price_usd:
                    type: string
                    description: Quote token price in USD
                  quote_token_price_native_currency:
                    type: string
                    nullable: true
                    description: Quote token price in native currency
                  base_token_price_quote_token:
                    type: string
                    nullable: true
                    description: Base token price in quote token
                  quote_token_price_base_token:
                    type: string
                    nullable: true
                    description: Quote token price in base token
                  address:
                    type: string
                    description: Pool contract address
                  name:
                    type: string
                    description: Pool name
                  pool_created_at:
                    type: string
                    description: Pool creation timestamp
                  fdv_usd:
                    type: string
                    nullable: true
                    description: Fully diluted valuation in USD
                  market_cap_usd:
                    type: string
                    nullable: true
                    description: Market cap in USD
                  price_change_percentage:
                    type: object
                    description: Price change percentage over various timeframes
                    properties:
                      m5:
                        type: string
                      m15:
                        type: string
                      m30:
                        type: string
                      h1:
                        type: string
                      h6:
                        type: string
                      h24:
                        type: string
                  transactions:
                    type: object
                    description: Transaction counts over various timeframes
                    properties:
                      m5:
                        type: object
                        properties:
                          buys:
                            type: integer
                          sells:
                            type: integer
                          buyers:
                            type: integer
                          sellers:
                            type: integer
                      m15:
                        type: object
                        properties:
                          buys:
                            type: integer
                          sells:
                            type: integer
                          buyers:
                            type: integer
                          sellers:
                            type: integer
                      m30:
                        type: object
                        properties:
                          buys:
                            type: integer
                          sells:
                            type: integer
                          buyers:
                            type: integer
                          sellers:
                            type: integer
                      h1:
                        type: object
                        properties:
                          buys:
                            type: integer
                          sells:
                            type: integer
                          buyers:
                            type: integer
                          sellers:
                            type: integer
                      h6:
                        type: object
                        properties:
                          buys:
                            type: integer
                          sells:
                            type: integer
                          buyers:
                            type: integer
                          sellers:
                            type: integer
                      h24:
                        type: object
                        properties:
                          buys:
                            type: integer
                          sells:
                            type: integer
                          buyers:
                            type: integer
                          sellers:
                            type: integer
                  volume_usd:
                    type: object
                    description: Volume in USD over various timeframes
                    properties:
                      m5:
                        type: string
                      m15:
                        type: string
                      m30:
                        type: string
                      h1:
                        type: string
                      h6:
                        type: string
                      h24:
                        type: string
                  reserve_in_usd:
                    type: string
                    nullable: true
                    description: Total reserve in USD
                  token_price_usd:
                    type: string
                    description: >-
                      Price of the queried token in USD, present when querying
                      pools by token address
                  sentiment_vote_positive_percentage:
                    type: number
                    description: GeckoTerminal community positive sentiment vote percentage
                  sentiment_vote_negative_percentage:
                    type: number
                    description: GeckoTerminal community negative sentiment vote percentage
                  community_sus_report:
                    type: integer
                    description: GeckoTerminal community suspicious reports count
              relationships:
                type: object
                description: Related resources
                properties:
                  base_token:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                  quote_token:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                  network:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                  dex:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
        included:
          type: array
          description: >-
            Included related resources, present when include parameter is
            specified
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                type: object
                properties:
                  address:
                    type: string
                  name:
                    type: string
                  symbol:
                    type: string
                  decimals:
                    type: integer
                  image_url:
                    type: string
                    nullable: true
                  coingecko_coin_id:
                    type: string
                    nullable: true
                  coingecko_asset_platform_id:
                    type: string
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````